Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.personalization
Interface PznPortletRequestObjectInterface

All Superinterfaces:
  PznRequestObjectInterface, java.io.Serializable

All Known Implementing Classes:
  PznPortletRequestObjectImplementor

    public interface PznPortletRequestObjectInterface

extends PznRequestObjectInterface

This is the interface used to access various Portal-sepecific attributes for rules.

It provides access to the PortletRequest and PortletSession attributes either through a direct reference to the PortletRequest, or as a surrogate.

Field Summary
`static java.lang.String` | `COPYRIGHT`

Method Summary
`java.lang.String` | `getPortalUserId()`
`java.lang.Object` | `getPortalUserObject()`
`java.lang.Object` | `getPortletAttribute(java.lang.String itemName)`
`java.util.Enumeration` | `getPortletAttributeNames()`
`java.lang.Object` | `getPortletSetting(java.lang.String itemName)`
`void` | `removePortletAttribute(java.lang.String itemName)`
`boolean` | `setPortletAttribute(java.lang.String itemName, java.lang.Object itemValue)`

Methods inherited from interface com.ibm.websphere.personalization.PznRequestObjectInterface
`addCookie, getContextPath, getCookie, getCookies, getLocale, getRemoteHost, getRemoteUser, getRequestAttribute, getRequestAttributeNames, getRequestParameter, getRequestParameterNames, getRequestParameterValues, getResourceContext, getServerName, getSessionAttribute, getSessionAttributeNames, getUserPrincipal, removeRequestAttribute, removeSessionAttribute, setContextPath, setLocale, setRemoteUser, setRequestAttribute, setRequestParameter, setRequestParameterValues, setSessionAttribute, setUserPrincipal`

Field Detail

### COPYRIGHT

    static final java.lang.String COPYRIGHT

Method Detail

### getPortletAttribute

    java.lang.Object getPortletAttribute(java.lang.String itemName)

### setPortletAttribute

    boolean setPortletAttribute(java.lang.String itemName,
                                java.lang.Object itemValue)

### removePortletAttribute

    void removePortletAttribute(java.lang.String itemName)

### getPortletAttributeNames

    java.util.Enumeration getPortletAttributeNames()

### getPortletSetting

    java.lang.Object getPortletSetting(java.lang.String itemName)

### getPortalUserId

    java.lang.String getPortalUserId()

### getPortalUserObject

    java.lang.Object getPortalUserObject()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD